Previous Contents Index Next |
Sun Java Enterprise System 2004Q2 Installation Guide

> ## Chapter 3
> Gathering Installation and Configuration Information

> This chapter describes the information the Java Enterprise System installer needs to configure component products. Use this chapter in conjunction with the worksheets in Appendix A to prepare for installation of Java Enterprise System.

> This chapter contains the following sections:

> - How to Use This Chapter
> - Installation Directories
> - Common Server Settings
> - Administration Server Configuration
> - Application Server Configuration
> - Calendar Server Configuration
> - Communications Express Configuration
> - Directory Server Configuration
> - Directory Proxy Server Configuration
> - Identity Server Configuration
> - Identity Server SDK Configuration
> - Instant Messaging Configuration
> - Message Queue Configuration
> - Messaging Server Configuration
> - Portal Server Configuration
> - Portal Server, Secure Remote Access Configuration
> - Sun Cluster Software and Sun Cluster Agents for Sun Java System Configuration
> - Sun Remote Services Net Connect Configuration
> - Web Server Configuration
> - Parameters Used Only in State Files

> You can use this chapter for all installer modes: graphical, text, and silent.

> Note | Many components require that you assign port numbers. Before you start to configure the components, review the default port numbers as shown in Appendix D, "Component Port Numbers". When the installer requests that you enter a port number, it performs a runtime check on the ports in use and displays an appropriate default value. If the default port number is being used by another component product or by another instance of the same component product, the installer presents a different value. For example, both Web Server and Application Server use default port 80. When you install both components on the same machine, the first to be configured receives the default port 80. The second component to be configured has a different default port, such as 81 or 82.

> ##

> How to Use This Chapter

> This chapter describes each piece of configuration information for which the installer prompts. The configuration information is grouped in the same way that the graphical installer groups the information: first by component product, and then by type of information. Tables in this chapter correspond directly to the pages that the installer displays.

> The configuration information tables have two columns: “Label and State File Parameter,” and “Description.” The “Label and State File Parameter” column contains the following information:

> - Label. The text that identifies information in the installer’s graphical mode. This is usually a label on an input field. For example, the installer includes a field label called Password Encryption Key.
> - State File Parameter. The key that identifies the information in a silent installation state file. State file parameters are uppercase and appear in monospace font. For example, the state file parameter associated with a Password Encryption Key field is AM_ENC_PWD.

> ### Default Values

> Default values apply to all installer modes, unless the description provides a separate value for a silent mode state file.

> State files are case sensitive for all values, except for those noted.

> ### Suggested Look-up Strategies

> If you are using this chapter to get information about configuration questions posed by the installer’s graphical mode, do the following:

> 1. Locate the section that describes that component.
> 2. Find the table whose content matches the installer page being displayed. Each table contains all the fields and questions contained on a single page of the installer.

> If you are using this chapter to get information about parameters in a state file, do the following:

> - If you are using the manual online, use the HTML or PDF search feature to find the parameter string.
> - If you are using a printed book, refer to the index. The index contains an entry for each parameter name.

> ##

> Installation Directories

> The Java Enterprise System installer automatically installs component products in default directories unless you specify otherwise. When you run the Java Enterprise System installer, it suggests the default location for each component. In most cases you can specify a custom location to override a default location.

> Installation directories for the following components have restrictions:

> - Directory Server. You cannot specify the installation location for Directory Server although you can specify the location for Directory Server runtime configuration data.
> - Portal Server, Secure Remote Access. Portal Server, Secure Remote Access Support must be installed into the same location as Portal Server.
> - Sun Cluster software, Sun Cluster Agents for Sun Java System. You cannot change the location of the installation directories.
> - Sun Java System Message Queue. You cannot change the location of the installation directories.

> The following table indicates the default directories for Java Enterprise System components.

> Table 3-1 Default Installation Directories

> Label and State File Parameter | Default Directory | Comment
> --- | --- | ---
> Application Server CMN_AS_INSTALLDIR | /opt/SUNWappserver7 | All utilities, executables, and libraries of the Application Server software are here.
> Application Server Configuration CMN_AS_DOMAINSDIR | /var/opt/SUNWappserver7/domains | Default area under which administrative domains are created.
> Application Server Product Configuration CMN_AS_CONFIGDIR | /etc/opt/SUNWappserver7 | Contains installation-wide configuration information, such as licenses and the master list of administrative domains configured for this installation.
> Calendar Server CMN_CS_INSTALLDIR | Solaris: /opt Linux: /opt/sun |
> Communications Express CMN_UWC_INSTALLDIR | Solaris: /opt/SUNWuwc Linux: /opt/sun/uwc |
> Directory Server, Server Root CMN_DS_INSTALLDIR | Solaris: /var/opt/mps/serverroot Linux: /var/opt/sun/directory-server |
> Directory Proxy Server CMN_DPS_INSTALLDIR | Solaris: / Linux: /opt/sun |
> Identity Server CMN_IS_INSTALLDIR | Solaris: /opt Linux: /opt/sun |
> Instant Messaging Server CMN_IIM_INSTALLDIR | Solaris: /opt Linux: /opt/sun |
> IInstant Messaging Server Document Directory CMN_IIM_DOCSDIR | Solaris: /opt/SUNWiim/html Linux: /opt/sun/im/html |
> Instant Messaging Server Document Help Directory CMN_IIM_DOCSHELPDIR | Solaris: /opt/SUNWiim/html/en/imhelp Linux: /opt/sun/im/html/en/imhelp |
> Message Queue | Not applicable | Message Queue software is installed in the following locations on Solaris: /usr/bin /usr/share/lib /usr/share/lib/imq /etc/imq /var/imq /usr/share/javadoc/imq /usr/demo/imq /opt/SUNWimq/include It is installed in the following locations on Linux: /opt/imq /etc/opt/imq /var/opt/imq You cannot change the installation directories, so there is no field in the installer or parameter in the state file for this information.
> Messaging Server CMN_MS_INSTALLDIR | Solaris: /opt/SUNWmsgsr Linux: /opt/sun/messaging |
> Portal Server CMN_PS_INSTALLDIR | Solaris: /opt Linux: /opt/sun |
> Portal Server Secure Remote Access CMN_SRA_INSTALLDIR | Solaris: /opt Linux: /opt/sun | Portal Server, SRA Core must be installed in the same directory as Portal Server.
> Sun Cluster | Not applicable | Sun Cluster software is installed in the following locations on Solaris: / /usr /opt You cannot change the installation directories, so there is no field in the installer or parameter in the state file for this information.
> Web Server CMN_WS_INSTALLDIR | Solaris: /opt/SUNWwbsvr Linux: /opt/sun/webserver |

> ##

> Common Server Settings

> When you install components using the Configure Now configuration option, the installer displays these common server settings as default values for each component that uses the settings. You can edit the values on a per-component basis as you configure the components.

> Before proceeding, you must provide values for common server settings, as the following table indicates.

> Table 3-2 Common Server Settings

> Label and State File Parameter | Description | Default Value
> --- | --- | ---
> Host Name CMN_HOST_NAME | The host name of the machine on which you are installing. | The output of the hostname command.
> DNS Domain Name CMN_DOMAIN_NAME | Domain for the machine on which you are installing. | The domain name of this computer as registered in the local DNS server.
> Host IP Address CMN_IPADDRESS | The IP address of the machine on which you are installing. | The IP address of the local host.
> Administrator User ID CMN_ADMIN_USER | Default user ID of the administrator. | admin
> Administrator Password CMN_ADMIN_PASSWORD | Default password of the administrator. The password must have at least eight characters. | None
> System User CMN_SYSTEM_USER | User ID under which component processes run. | root
> System Group CMN_SYSTEM_GROUP | Group (gid) of the system user. | other

> ##

> Administration Server Configuration

> The installer needs the following information for Administration Server.

> - Administration information
> - Configuration Directory Settings information

> ### Administration Server: Administration Information

> Table 3-3 Administration Information for Administration Server

> Label and State File Parameter | Description
> --- | ---
> Server Root ADMINSERV_ROOT | Base pathname under which the component products managed by Administration Server are installed. The default value is /var/opt/mps/serverroot.
> Administration Port ADMINSERV_PORT | Port to use when connecting to this Administration Server through Administration Console over HTTP. The default value is 390. Any available port number is permitted.
> Administration Domain ADMINSERV_DOMAIN | A name for a collection of servers that will share a directory service. The suggested default value is the host domain name that you set under Common Server Settings. Refer to Table 3-2. However, administrative domain does not have to match or be associated with a network domain.
> System User ADMINSERV_SYSTEM_USER | User ID under which Administration Server processes run. Any valid system user is permitted. The default value is the system user you provided under Common Server Settings. Refer to Table 3-2.
> System Group ADMINSERV_SYSTEM_GROUP | Any valid system group is permitted. The default value is the system group you provided under Common Server Settings. Refer to Table 3-2.

> ### Administration Server: Configuration Directory Settings Information

> Table 3-4 Configuration Directory Settings Information for Administration Server

> Label and State File Parameter | Description
> --- | ---
> Administration User ID ADMINSERV_CONFIG_ADMIN_USER | User ID of the configuration directory administrator. Administration Server uses this identity when managing configuration directory data. The default value is the Administrator User ID you provided under Common Server Settings. Refer to Table 3-2. If you are installing Directory Server in this session, the default value is the Directory Server Administrator User ID. Refer to Table 3-6.
> Administrator Password ADMINSERV_CONFIG_ADMIN_PASSWORD | Password for the configuration directory administrator. The default value is the Administrator User Password you provided under Common Server Settings. Refer to Table 3-2. If you are installing Directory Server in this session, the default value is the Directory Server Administrator User Password. Refer to Table 3-6.
> Directory Server Host ADMINSERV_CONFIG_DIR_HOST | Specifies a host name or value that resolves to the host on which the configuration directory resides. The configuration directory stores configuration data for all servers belonging to the Administration Domain. If you are installing Directory Server in this session, the default value is the Host Name (CMN_HOST_NAME) that you provided under Common Server Settings. Refer to Table 3-2 If you are not installing Directory Server in this session, there is no default value.
> Directory Server Port ADMINSERV_CONFIG_DIR_PORT | Port to use when binding to the configuration directory for LDAP operations. Any valid port number that is not in use is permitted. If you are installing Directory Server in this session, the default value is the value of the Directory Server Port. Refer to Table 3-7. If you are not installing Directory Server in this session, there is no default value.

> ##

> Application Server Configuration

> The installer needs the following information for Application Server.

> Table 3-5 Information for Application Server

> Label and State File Parameter | Description
> --- | ---
> Administrator User ID AS_ADMIN_USER | User ID of the Application Server administrator. The default value is the Administrator User ID you provided under Common Server Settings. Refer to Table 3-2.
> Administrator Password AS_ADMIN_PASSWORD | Password for the Application Server administrator. The default value is the Administrator Password you provided under Common Server Settings. Refer to Table 3-2.
> Administration Server Port AS_ADMIN_PORT | Port on which Application Server’s administrative server listens for connections. The default value is 4848.
> HTTP Server Port AS_HTTP_PORT | Port on which Application Server listens for HTTP connections. The default value is 80. If the installer detects that the default port is used, it suggests an alternative value.

> ##

> Calendar Server Configuration

> Calendar Server cannot be configured by the Java Enterprise System installer. Instead, you must configure Calendar Server after installation. For information on configuring Calendar Server, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Communications Express Configuration

> Communications Express cannot be configured by the Java Enterprise System installer. Instead, you must configure Communications Express after installation. For information on configuring Calendar Server, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Directory Server Configuration

> The installer needs the following information for Directory Server:

> - Administration information
> - Server Settings information
> - Configuration Directory Server information
> - Data Storage Location information
> - Populate Data information

> ### Directory Server: Administration Information

> Table 3-6 Administration Information for Directory Server

> Label and State File Parameter | Description
> --- | ---
> Administrator User ID DS_ADMIN_USER | User with administrator privileges for the configuration directory. This user can modify Directory Server configuration, including creating and removing suffixes, but access control restrictions apply. The default value is the Administrator User ID you provided under Common Server Settings. Refer to Table 3-2.
> Administrator Password DS_ADMIN_PASSWORD | Password for the Administrator. The default value is the Administrator Password you provided under Common Server Settings. Refer to Table 3-2.
> Directory Manager DN DS_DIR_MGR_USER | DN of the user who has unrestricted access to Directory Server. The default value is cn=Directory Manager.
> Directory Manager Password DS_DIR_MGR_PASSWORD | Password for the directory manager. There is no default value.

> ### Directory Server: Server Settings Information

> Table 3-7 Server Settings Information for Directory Server

> Label and State File Parameter | Description
> --- | ---
> Server Identifier DS_SERVER_IDENTIFIER | Name that identifies a Directory Server instance in the Administration Console. The name must conform to operating system file naming conventions. Periods and spaces are not allowed. The default value is the Host Name (CMN_HOST_NAME) that you provided under Common Server Settings. Refer to Table 3-2.
> Server Port DS_SERVER_PORT | Port on which Directory Server listens for client connections. The default value is 389.
> Suffix DS_SUFFIX | Initial directory suffix managed by this instance. The default value is formed by the segments of the fully qualified domain name for the current host. For example, if you install on siroe.sub1.example.com, the default value is dc=sub1,dc=example,dc=com.
> Administration Domain DS_ADM_DOMAIN | The name of the administration domain for this instance of Directory Server. The default value is the value that you specified for DNS Domain Name (CMN_DOMAIN_NAME) under Common Server Settings. Refer to Table 3-2.
> System User DS_SYSTEM_USER | User ID under which Directory Server processes run. The default value is the System User you provided under Common Server Settings. Refer to Table 3-2.
> System Group DS_SYSTEM_GROUP | Group in which the Directory Server runs as a user. The default value is the System Group you provided under Common Server Settings. Refer to Table 3-2.

> ### Directory Server: Configuration Directory Server Information

> Configuration data for this Directory Server instance can be stored in this Directory Server instance, or in an existing Directory Server instance on another machine. If you store configuration data in this instance, you respond only to the first question in this table. If you store configuration data in another instance, you provide all information listed in this table.

> Table 3-8 Configuration Directory Server Information for Directory Server

> Label and State File Parameter | Description
> --- | ---
> Store configuration data on this server and Store configuration data in the following Directory Server USE_EXISTING_CONFIG_DIR | Options that control where the Java Enterprise System installer stores this Directory Server’s configuration data: in this instance of Directory Server or in another instance. In a state file, specify one of these values: 0 (zero) to use this instance of Directory Server. This is the default value. 1 (one) to use another instance. If you store configuration data in another instance, you must supply the remaining information in this table. If you store configuration data in this instance, you can skip the remaining items.
> Directory Server Host CONFIG_DIR_HOST | Specifies a host name or value that resolves to the host on which the configuration directory resides. The configuration directory stores configuration data for all servers belonging to the Administration Domain. In a state file, this parameter has no default value. It needs a value only if USE_EXISTING_CONFIG_DIR is set to 1.
> Directory Server Port CONFIG_DIR_PORT | Port to use when binding to the configuration directory for LDAP operations. The default value is 389. In a state file, this parameter has no default value and needs a value only if USE_EXISTING_CONFIG_DIR is set to 1.
> Directory Manager DN CONFIG_DIR_ADM_USER | DN of the user who has unrestricted access to Directory Server. The default value is cn=Directory Manager. In a state file, this parameter has no default value and needs a value only if USE_EXISTING_CONFIG_DIR is set to 1.
> Directory Manager Password CONFIG_DIR_ADM_PASSWD | Specifies the password for the directory manager. In a state file, this parameter has no default value and needs a value only if USE_EXISTING_CONFIG_DIR is set to 1.

> ### Directory Server: Data Storage Location Information

> User data and group data can be stored in this instance of Directory Server or in an existing instance. The configuration information listed in the following table is needed only if you are storing user data and group data from this instance of Directory Server in the user directory of another instance.

> Table 3-9 Data Storage Location Information for Directory Server

> Label and State File Parameter | Description
> --- | ---
> Store user data and group data on this server and Store user data and group data in the following Directory Server USE_EXISTING_USER_DIR | Options that control where the Java Enterprise System installer stores user data and group data for Directory Server: in the instance being installed or in an existing Directory Server instance. If you store user data and group data in another instance, you must supply the additional information listed in this table. In a state file, specify one of these values: 0 (zero) to store user data and group data in this Directory Server instance. This is the default value. 1 (one) to use a remote instance.
> Directory Server Host USER_DIR_HOST | Specifies a host name or value that resolves to the host on which the Directory Server stores user data. In a state file, this parameter has no default value, and needs a value only if USE_EXISTING_USER_DIR is set to 1.
> Directory Server Port USER_DIR_PORT | Port to use when binding to the user directory for LDAP operations. This port should be the same as Configuration Directory Port. The default value is 389. In a state file, this parameter has no default value, and needs a value only if USE_EXISTING_USER_DIR is set to 1.
> Directory Manager DN USER_DIR_ADM_USER | DN of the user who has unrestricted access to Directory Server. The default value is cn=Directory Manager. In a state file, this parameter has no default value, and needs a value only if USE_EXISTING_USER_DIR is set to 1.
> Directory Manager Password USER_DIR_ADM_PASSWD | Password for the directory manager. In a state file, this parameter has no default value, and needs a value only if USE_EXISTING_USER_DIR is set to 1.
> Suffix USER_DIR_SUFFIX | Directory Server suffix containing user and group data. For example, dc=example,dc=com. This value must correspond to an entry in your LDAP tree. In a state file, this parameter has no default value, and needs a value only if USE_EXISTING_USER_DIR is set to 1.

> ### Directory Server: Populate Data Information

> You can populate the user directory of Directory Server during the installation and configuration process, rather than as a separate subsequent step.

> Table 3-10 Populate Data Information for Directory Server

> Label and State File Parameter | Description
> --- | ---
> Populate with sample organizational structure DS_ADD_SAMPLE_ENTRIES | Option that directs the Java Enterprise System installer to add sample roles and groups with corresponding access control lists for this Directory Server instance. In a state file, specify one of these values: 1 (one) to populate Directory Server with sample organizational structure. 0 (zero) not to do so. This is the default value.
> Populate with data DS_POPULATE_DATABASE | Option that directs the Java Enterprise System installer to load entries as part of the installation and configuration process, rather than as a separate subsequent step. In a state file, specify one of these values: 1 (one) to populate Directory Server with sample data. This is the default value. 0 (zero) not to do so.
> Sample data, Your data (LDIF File) and File name DS_POPULATE_DATABASE_FILE_NAME | One of the following options: Load entries from sample LDIF files under dir_svr_base/slapd-ServerID/ldif/ Load entries from an LDIF file you provide. If you choose this option, you must enter the file name. In a state file, choose one of the following: Leave the parameter value blank to load entries from the sample files. Specify a fully qualified file name to load entries from that file.
> Disable schema checking to accelerate data import DS_DISABLE_SCHEMA_CHECKING | Option that directs the Java Enterprise System installer to load sample data without checking that entries conform to known schema. Once schema checking is enabled, entries loaded must conform to known schema before they can be modified. By disabling schema checking, you imply that you plan to fix discrepancies following installation. In a state file, specify one of these values: 1 (one) to disable schema checking 0 (zero) to enable schema checking. This is the default value.

> ##

> Directory Proxy Server Configuration

> The installer needs the following information for Directory Proxy Server:

> - Port Selection information

> If you are installing Directory Proxy Server onto a machine that has a previously installed version of Administration Server, the installer also needs the following information:

> - Administration Server Root information

> ### Directory Proxy Server: Port Selection Information

> Table 3-11 Port Selection Information for Directory Proxy Server

> Label and State File Parameter | Description
> --- | ---
> Directory Proxy Server Port DPS_PORT | Port on which Directory Proxy Server listens for client connections. The default value is 489.

> ### Directory Proxy Server: Server Root Information

> The installer needs the values in the following table only if a previous installation of Administration Server is present.

> Table 3-12 Server Root Information for Directory Proxy Server

> Label and State File Parameter | Description
> --- | ---
> Administration Server Root Directory DPS_SERVERROOT | The file system directory where Administration Server configuration data for this instance of DPS is stored. This directory is associated with the Server Root (ADMINSERV_ROOT) in the Administration Server configuration. See Table 3-3. The format for this value is a fully qualified path name on the local file system. There is no default value.

> ##

> Identity Server Configuration

> The Java Enterprise System installer supports the installation of these subcomponents of Identity Server:

> - Identity Management and Policy Services Core
> - Identity Server Administration Console
> - Common Domain Services for Federation Management
> - Identity Server SDK

> Note | Identity Server SDK is automatically installed as part of Identity Management and Policy Services Core but it can also be installed separately on a remote machine. For information about separate installation of Identity Server SDK, refer to Identity Server SDK Configuration.

> The installer needs different information depending on which subcomponents you are installing, as the following table indicates. The table also refers you to the tables where the relevant information is described.

> Table 3-13 Information Needed to Install Subcomponents of Identity Server

> When You Are Installing... | The Installer Needs... | Refer to...
> --- | --- | ---
> Identity Management and Policy Services Core | Web container information | Identity Server: Web Container Information
> Directory Server information | Table 3-22
> Provisioned directory information | Table 3-23 and Table 3-24
> Common Domain Services for Federation Management | Services information | Table 3-17
> Identity Server Administration Console | Administration information | Table 3-14
> Services information | Table 3-17

> ### Identity Server: Administration Information

> The installer needs the following information if you are installing Identity Server Administration Console.

> Table 3-14 Administration Information for Identity Server

> Label and State File Parameter | Description
> --- | ---
> Administrator User ID IS_ADMIN_USER_ID | Identity Server top-level administrator. This user has unlimited access to all entries managed by Identity Server. The default name, amadmin, cannot be changed. This ensures that the Identity Server administrator role and its privileges are created and mapped properly in Directory Server, allowing you to log onto Identity Server immediately after installation.
> Administrator Password IS_ADMINPASSWD | Password of the amadmin user. The value must have at least eight characters. The default value is the Administrator Password (CMN_ADMIN_PASSWORD) you provided under Common Server Settings. Refer to Table 3-2.
> LDAP User ID IS_LDAP_USER | Bind DN user for LDAP, Membership, and Policy services. This user has read and search access to all Directory Server entries. The default user name, amldapuser, cannot be changed.
> LDAP Password IS_LDAPUSERPASSWD | Password of the amldapuser user. This password must be different from the password of the amadmin user. It can be any valid Directory Service password.
> Password Encryption Key AM_ENC_PWD | A string that Identity Server uses to encrypt user passwords. The interactive installer generates a default password encryption key. You can accept the default value or specify any key produced by a J2EE random number generator. During Identity Server installation, its property file is updated and the property am.encryption.pwd is set to this value. The property file is /is_svr_base/SUNWam/lib/AMConfig.properties, where the default value for IS_svr_base is /opt. All Identity Server subcomponents must use the same encryption key that the Identity Management and Policy Services Core uses. If you are distributing Identity Server subcomponents across systems and installing Administration Console or Common Domain Services for Federation Management copy the value for am.encryption.pwd as generated by the installation of the core, and paste it into this field. In a state file, the default is LOCK. Any character combination is permitted.

> ### Identity Server: Web Container Information

> The Identity Management and Policy Services Core subcomponent of Identity Server runs in Web Server or Application Server. The information that the installer needs is different for each web container:

> - For Web Server, see Web Container Information: Identity Server with Web Server
> - For Application Server, see Web Container Information: Identity Server with Application Server

> #### Web Container Information: Identity Server with Web Server

> Table 3-15 describes the information that the installer needs when Web Server is the web container for the Identity Management and Policy Services Core subcomponent of Identity Server.

> Table 3-15 Web Container Information for Identity Server with Web Server

> Label and State File Parameter | Description
> --- | ---
> Host Name IS_WS_HOST_NAME | The fully qualified domain name for the host. For example, if this host is siroe.example.com, this value is siroe.example.com. The default value is the fully qualified domain name for the current host.
> Web Server Port IS_WS_INSTANCE_PORT | Port on which Web Server listens for HTTP connections. The default value is 80. If you are installing Web Server in this installer session, the default value is the Web Server HTTP Port (WS_INSTANCE_PORT) value. Refer to Table 3-59.
> Web Server Instance Directory IS_WS_INSTANCE_DIR | Path to the directory where an instance of Web Server is installed. The path must have the following syntax: web_svr_base/https-web-server-instance-name Example: /opt/SUNWwbsvr/https-myinstance If you are installing Web Server in this installer session, the default value for web_svr_base is the Web Server installation directory, /opt/SUNWwbsvr by default.
> Document Root Directory IS_WS_DOC_DIR | Directory where Web Server stores content documents. If you are installing Web Server in this installer session, the default value is the Web Server value Document Root Directory (WS_INSTANCE_CONTENT_ROOT). Refer to Table 3-59. If you are not installing Web Server, the default location is web_svr_base/docs. The default value for web_svr_base is /opt/SUNWwbsvr.
> Secure Server Instance Port IS_SERVER_PROTOCOL | Specify whether the port for the Web Server instance is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.

> #### Web Container Information: Identity Server with Application Server

> Table 3-16 describes the information that the installer needs when Application Server is the web container for the Identity Management and Policy Services Core subcomponent of Identity Server.

> Table 3-16 Web Container Information for Identity Server with Application Server

> Label and State File Parameter | Description
> --- | ---
> Installation Directory IS_APPSERVERBASEDIR | Path to the directory where Application Server is installed. If you are installing Application Server, this value defaults to the value you specified for the Application Server installation directory. The default value is /opt/SUNWappserver7.
> Configuration Directory IS_AS_CONFIG_DIR | Path to the directory that contains the configuration files for the instance of Application Server. The default value is /etc/opt/SUNWappserver7.
> Identity Server Runtime Instance IS_IAS7INSTANCE | Name of the Application Server instance that will run Identity Server. The default value is server1.
> Instance Directory IS_IAS7INSTANCEDIR | Path to the directory where Application Server stores files for the instance. The default value is /var/opt/SUNWappserver7/domains/domain1/server1.
> Identity Server Instance Port IS_IAS7INSTANCE_PORT | Port on which Application Server listens for connections to the instance. The default value is 80.
> Document Root IS_SUNAPPSERVER_DOCS_DIR | Directory where Application Server stores content documents. This field appears only if you are installing Portal Server in the same installer session. The default document root is the instance directory specified by IS_IAS7INSTANCEDIR, with /docroot appended at the end.
> Administrator User ID IS_IAS7_ADMIN | User ID of the Application Server administrator. The default value is the Administrator User ID you provided under Common Server Settings. Refer to Table 3-2.
> Administrator Password IS_IAS7_ADMINPASSWD | Password of the Application Server administrator. The default value is the Administrator User password you provided under Common Server Settings. Refer to Table 3-2.
> Administrator Port IS_IAS7_ADMINPORT | Port on which the Administration Server for Application Server listens for connections. The default value is 4848.
> Secure Server Instance Port IS_SERVER_PROTOCOL | Specify whether the value for Instance Port (IS_IAS7INSTANCE_PORT) refers to a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.
> Secure Administration Server Port ASADMIN_PROTOCOL | Specify whether the value for Administrator Port (IS_IAS7_ADMINPORT) is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.

> ### Identity Server: Services Information

> The installer needs different information about Identity Server services for different Identity Server subcomponents. The requirements also depend on what is already installed, as Table 3-17 shows.

> Table 3-17 Services Scenarios for Identity Server

> You Are Installing | Already Installed | See...
> --- | --- | ---
> Identity Management and Policy Services Core and Identity Server Administration Console | No Identity Server components | Scenario 1, Table 3-18
> Identity Server Administration Console only | Identity Management and Policy Services Core | Scenario 2, Table 3-19
> Identity Server Administration Console only | No Identity Server components | Scenario 3, Table 3-20
> Only Common Domain Services for Federation Management | Identity Management and Policy Services Core | Scenario 4, Table 3-21

> #### Scenario 1

> Table 3-18 describes the services information that the installer needs when you are installing the Identity Management and Policy Services Core and the Identity Server Administration Console subcomponents.

> In this scenario, you can deploy a new console or use a previously deployed console. If you deploy a new console, some information in Table 3-18 is not needed, as the Description column indicates.

> Table 3-18 Services Information for Identity Server, Scenario 1

> Label and State File Parameter | Description
> --- | ---
> Host Name IS_SERVER_HOST | Fully qualified domain name of the system on which you are installing. The default value is the fully qualified domain name of the local system.
> Services Deployment URI SERVER_DEPLOY_URI | Uniform Resource Identifier (URI) prefix for accessing the HTML pages, classes, and JAR files associated with the Identity Management and Policy Services Core subcomponent. The default value is amserver. Do not enter a leading slash.
> Common Domain Deployment URI CDS_DEPLOY_URI | URI prefix for accessing the common domain services on the web container. The default value is amcommon. Do not enter a leading slash.
> Cookie Domain COOKIE_DOMAIN_LIST | The names of the trusted DNS domains that Identity Server returns to a browser when it grants a session ID to a user. You can scope this value to a single top-level domain, such as example.com. The session ID will provide authentication for all subdomains of example.com. Alternatively, you can scope the value to a comma-separated list of subdomains, such as .corp.example.com,.sales.example.com. The session ID will provide authentication for all subdomains in the list. A leading dot (.) is required for each domain in the list. The default value is the current domain, prefixed by a dot (.).
> Administration Console: Deploy new console and Use existing console USE_DSAME_SERVICES_WEB _CONTAINER | Choose Deploy new console to deploy the console into the web container of the host on which Identity Server is being installed. Choose Use existing console to use an existing console that is deployed on another host. In both cases, you specify the Console Deployment URI and Password Deployment URI. If you choose to use an existing console, you must also specify the Console Host Name and Console Port. In a state file, specify true to deploy a new console or false to use an existing console.
> Console Deployment URI CONSOLE_DEPLOY_URI | URI prefix for accessing the HTML pages, classes and jars associated with the Identity Server Administration Console subcomponent. The default value is amconsole. Do not enter a leading slash.
> Password Deployment URI PASSWORD_SERVICE_DEPLOY_URI | URI that determines the mapping that the web container running Identity Server will use between a string you specify and a corresponding deployed application. The default value is ampassword. Do not enter a leading slash.
> Console Host Name CONSOLE_HOST | Fully qualified domain name for the server hosting the existing console. This value is not needed if you are deploying a new console. In graphical installation mode, you can edit the field only if you are using an existing console. The default value contains the value that you provided for Host (IS_SERVER_HOST), a dot, and then the value that you provided for DNS Name in the Common Server Settings. Refer to Table 3-2. As an example, if the host is siroe and the domain is example.com, the default value is siroe.example.com.
> Console Port CONSOLE_PORT | Port on which the existing console listens for connections. Permitted values are any valid and unused port number, in the range 0 (zero) through 65535. This value is not needed if you are deploying a new console. In graphical installation mode, you can edit the field only if you are using an existing console. The default value is the value you provided for one of the following web container ports: Web Server Port (IS_WS_INSTANCE_PORT), as defined in Table 3-15. Identity Server Instance Port (IS_IAS7INSTANCE_PORT), as defined in Table 3-16.

> #### Scenario 2

> Table 3-19 describes the services information the installer needs when the following are both true:

> - You are installing only the Identity Server Administration Console subcomponent.
> - The Identity Management and Policy Services Core subcomponent is already installed on the same host.

> Table 3-19 Services Information for Identity Server, Scenario 2

> Label and State File Parameter | Description
> --- | ---
> Console Deployment URI CONSOLE_DEPLOY_URI | Uniform Resource Identifier (URI) prefix for accessing the HTML pages, classes, and JAR files associated with the Identity Server Administration Console subcomponent. The default value is amconsole. Do not enter a leading slash.
> Password Services Deployment URI PASSWORD_SERVICE_DEPLOY_URI | URI that determines the mapping that the web container running Identity Server will use between a string you specify and a corresponding deployed application. The default value is ampassword. Do not enter a leading slash.

> #### Scenario 3

> Table 3-20 describes the services information the installer needs when the following are both true:

> - You are installing only the Identity Server Administration Console subcomponent.
> - The Identity Management and Policy Services Core subcomponent is not installed on the same host.

> Table 3-20 Services Information for Identity Server, Scenario 3

> Label and State File Parameter | Description
> --- | ---
> Web Container for Identity Server Administration Console
> Console Host Name CONSOLE_HOST | Fully qualified domain name for the system on which you are installing.
> Console Deployment URI CONSOLE_DEPLOY_URI | Uniform Resource Identifier (URI) prefix for accessing the HTML pages, classes, and JAR files associated with the Identity Server Administration Console subcomponent. The default value is amconsole. Do not enter a leading slash.
> Password Services Deployment URI PASSWORD_SERVICE_DEPLOY_URI | Deployment URI for the password service. The default value is ampassword. Do not enter a leading slash.
> Web Container for Identity Server Services
> Services Host Name IS_SERVER_HOST | Fully qualified domain name of the host where the Identity Management and Policy Services Core subcomponent is installed. The default value is the fully qualified domain name of this host. Use the default value as an example of format only, and edit it to supply the correct remote host name. In a state file, supply the fully qualified domain name of a remote host.
> Port CONSOLE_PORT | Port on which the Identity Management and Policy Services Core subcomponent listens for connections. This port is the HTTP or HTTPS port used by the web container.
> Services Deployment URI SERVER_DEPLOY_URI | URI prefix for accessing the HTML pages, classes, and JAR files associated with the Identity Management and Policy Services Core subcomponent. The default value is amserver. Do not enter a leading slash.
> Cookie Domain COOKIE_DOMAIN_LIST | The names of the trusted DNS domains that Identity Server returns to a browser when it grants a session ID to a user. You can scope this value to a single top-level domain, such as example.com. The session ID will provide authentication for all subdomains of example.com. Alternatively, you can scope the value to a comma-separated list of subdomains, such as .corp.example.com,.sales.example.com. The session ID will provide authentication for all subdomains in the list. A leading dot (.) is required for each domain. The default value is the current domain, prefixed by a dot (.).

> #### Scenario 4

> Table 3-21 describes the services information the installer needs when you are installing only the Common Domain Services for Federation Management subcomponent.

> Table 3-21 Services Information for Identity Server, Scenario 4

> Label and State File Parameter | Description
> --- | ---
> Common Domain Deployment URI CDS_DEPLOY_URI | URI prefix for accessing the common domain services on the web container. The default value is amcommon. Do not enter a leading slash.

> ### Identity Server: Directory Server Information

> The installer needs the following information if you are installing Identity Management and Policy Services Core.

> Table 3-22 Directory Server Information for Identity Server

> Label and State File Parameter | Description
> --- | ---
> Directory Server Host IS_DS_HOSTNAME | A host name or value that resolves to the host on which Directory Server resides. The default value is the fully qualified domain name of the local machine. For example, if the local machine is siroe.example.com, the default value is siroe.example.com.
> Directory Server Port IS_DS_PORT | Port on which Directory Server listens for client connections. The default value is 389.
> Identity Server Directory Root Suffix IS_ROOT_SUFFIX | Distinguished name (DN) to set as the Identity Server root suffix. The default value is based on the fully qualified domain name for this host, minus the host name. For example, if this host is siroe.subdomain.example.com, the value is dc=subdomain,dc=example,dc=com
> Directory Manager DN IS_DIRMGRDN | DN of the user who has unrestricted access to Directory Server. The default value is cn=Directory Manager.
> Directory Manager Password IS_DIRMGRPASSWD | Password for the directory manager.

> ### Identity Server: Provisioned Directory Information

> The information needed to configure a provisioned directory depends on whether the installer detects an existing provisioned directory on your machine.

> When the installer is generating a state file, it writes IS_EXISTING_DIT_SCHEMA=y to the state file if it finds an existing provisioned directory. The installer writes IS_EXISTING_DIT_SCHEMA=n to the state file if it does not find an existing provisioned directory.

> #### Existing Provisioned Directory Found

> If the installer finds an existing provisioned directory, you provide the following information.

> Table 3-23 Existing Provisioned Directory Information for Identity Server

> Label and State File Parameter | Description
> --- | ---
> User Naming Attribute IS_USER_NAMING_ATTR | Naming attribute used for users in the provisioned directory. The default value is uid.

> #### No Existing Provisioned Directory Found

> If the installer does not find an existing provisioned directory, you can choose whether to use an existing provisioned directory. If you answer Yes to the first question in this table, you must answer the remaining questions in the table.

> Table 3-24 No Existing Provisioned Directory Information for Identity Server

> Label and State File Parameter | Description
> --- | ---
> Is Directory Server provisioned with user data? IS_LOAD_DIT | Specifies whether you want to use an existing provisioned directory. The default value is No. In a state value, permitted values are y or n. The default value is n.
> Organization Marker Object Class IS_ORG_OBJECT_CLASS | Object class defined for the organization in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is SunISManagedOrganization.
> Organization Naming Attribute IS_ORG_NAMING_ATTR | Naming attribute used to define organizations in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is o.
> User Marker Object Class IS_USER_OBJECT_CLASS | Object class defined for users in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is inetorgperson.
> User Naming Attribute IS_USER_NAMING_ATTR | Naming attribute used for users in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is uid.

> ##

> Identity Server SDK Configuration

> Identity Server SDK is automatically installed when you install Identity Management and Policy Services Core, a subcomponent of Identity Server. You can also install Identity Server SDK as a discrete component on a machine that is remote from the Identity Server core services.

> If you are installing Identity Server SDK as a discrete component, you must provide the following types of information:

> - Administration information
> - Directory Server information
> - Provisioned Directory information
> - Web container information

> Before you install Identity Server SDK, the Identity Server core services must be installed and running on a remote machine. The web container information and Directory Server configuration information that you provide during this installation must match the web container and Directory Server configuration information that you provided during installation of Identity Server core services.

> Note | When the installer asks for information about the remote web container and Directory Server, it displays default values based on the local host. Do not accept the default values; use them only as examples of format. Instead, you must supply the correct remote information.

> ### Identity Server SDK: Administration Information

> The installer needs the following administration information if you are installing only Identity Server SDK.

> Table 3-25 Administration Information for Identity Server SDK

> Label and State File Parameter | Description
> --- | ---
> Administrator User ID IS_ADMIN_USER_ID | Identity Server top-level administrator. This user has unlimited access to all entries managed by Identity Server. The default name, amadmin, cannot be changed. This ensures that the Identity Server administrator role and its privileges are created and mapped properly in Directory Server, allowing you to log onto Identity Server immediately after installation.
> Administrator Password IS_ADMINPASSWD | Password of the amadmin user. The value must have at least eight characters. Set this value to the same value used by Identity Server on the remote machine. The default value is the Administrator Password (CMN_ADMIN_PASSWORD) you provided under Common Server Settings. Refer to Table 3-2.
> LDAP User ID IS_LDAP_USER | Bind DN user for LDAP, Membership, and Policy services. This user has read and search access to all Directory Server entries. The default user name, amldapuser, cannot be changed.
> LDAP Password IS_LDAPUSERPASSWD | Password of the amldapuser user. This password must be different from the password of the amadmin user. It can be any valid Directory Service password. Set this value to the same value used by Identity Server on the remote machine.
> Password Encryption Key AM_ENC_PWD | A string that Identity Server uses to encrypt user passwords. All Identity Server subcomponents must use the same encryption key that the Identity Management and Policy Services Core uses. To specify the encryption key for Identity Server SDK, copy the value for am.encryption.pwd as generated by the installation of the core, and paste it into this field. In a state file, the default is LOCK. Any character combination is permitted.

> ### Identity Server SDK: Directory Server Information

> The installer needs the following Directory Server information if you are installing Identity Server SDK without other Identity Server subcomponents.

> Table 3-26 Directory Server Information for Identity Server SDK

> Label and State File Parameter | Description
> --- | ---
> Directory Server Host IS_DS_HOSTNAME | A host name or value that resolves to the host on which Directory Server resides. Set this value to the same value used by Identity Server on the remote machine.
> Directory Server Port IS_DS_PORT | Port on which Directory Server listens for client connections. Set this value to the same value used by Identity Server on the remote machine.
> Identity Server Directory Root Suffix IS_ROOT_SUFFIX | The distinguished name (DN) specified as the Identity Server root suffix when Directory Server was installed. This root suffix indicates the part of the directory that is managed by Identity Server. Set this value to the same value used by Identity Server on the remote machine. The default value is based on the fully qualified domain name for this host, minus the host name. For example, if this host is siroe.subdomain.example.com, the value is dc=subdomain,dc=example,dc=com. Use this default value as an example of format only.
> Directory Manager DN IS_DIRMGRDN | DN of the user who has unrestricted access to Directory Server. Set this value to the same value used by Identity Server on the remote machine. The default value is cn=Directory Manager.
> Directory Manager Password IS_DIRMGRPASSWD | Password for the directory manager. Set this value to the same value used by Identity Server on the remote machine.

> ### Identity Server SDK: Provisioned Directory Information

> The information needed to configure a provisioned directory depends on whether the installer detects an existing provisioned directory on your machine.

> When the installer is generating a state file, it writes IS_EXISTING_DIT_SCHEMA=y to the state file if it finds an existing provisioned directory. The installer writes IS_EXISTING_DIT_SCHEMA=n to the state file if it does not find an existing provisioned directory.

> #### Existing Provisioned Directory Found

> If the installer finds an existing provisioned directory, you provide the following information.

> Table 3-27 Existing Provisioned Directory Information for Identity Server SDK

> Label and State File Parameter | Description
> --- | ---
> User Naming Attribute IS_USER_NAMING_ATTR | Naming attribute used for users in the provisioned directory. The default value is uid.

> #### No Existing Provisioned Directory Found

> If the installer does not find an existing provisioned directory, you can choose whether to use an existing provisioned directory. If you answer Yes to the first question in this table, you must answer the remaining questions in the table.

> Table 3-28 No Existing Provisioned Directory Information for Identity Server SDK

> Label and State File Parameter | Description
> --- | ---
> Is Directory Server provisioned with user data? IS_LOAD_DIT | Specifies whether you want to use an existing provisioned directory. The default value is No. In a state value, permitted values are y or n. The default value is n.
> Organization Marker Object Class IS_ORG_OBJECT_CLASS | Object class defined for the organization in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is SunISManagedOrganization.
> Organization Naming Attribute IS_ORG_NAMING_ATTR | Naming attribute used to define organizations in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is o.
> User Marker Object Class IS_USER_OBJECT_CLASS | Object class defined for users in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is inetorgperson.
> User Naming Attribute IS_USER_NAMING_ATTR | Naming attribute used for users in the existing provisioned directory. This value is used only if the value for the first item in this table is Yes. The default value is uid.

> ### Identity Server SDK: Web Container Information

> The installer needs the following web container information if you are installing only Identity Server SDK.

> Table 3-29 Web Container Information for Identity Server SDK

> Label and State File Parameter | Description
> --- | ---
> Host IS_WS_HOST_NAME (Web Server) | Host name of the web container that runs Identity Server core services. Use the value specified during the installation of Identity Server on the remote machine. There is no default value.
> Services Deployment URI SERVER_DEPLOY_URI | URI prefix for accessing the HTML pages, classes, and JAR files associated with Identity Server. Set this value to the same value used by Identity Server on the remote machine. The default value is amserver. Do not enter a leading slash.
> Cookie Domain COOKIE_DOMAIN_LIST | The names of the trusted DNS domains that Identity Server returns to a browser when it grants a session ID to a user. Set this value to the same value used by Identity Server on the remote machine. The default value is the current domain, prefixed by a dot (.).
> Services Port IS_WS_INSTANCE_PORT (Web Server) IS_IAS7INSTANCE_PORT (Application Server) | Port number of the web container instance that runs Identity Server core services. Use the port number specified when Identity Server core services were installed. Note that both Sun Java System Web Server and Sun Java System Application Server use 80 as the default port number.

> ##

> Instant Messaging Configuration

> Instant Messaging cannot be configured by the Java Enterprise System installer. To configure Instant Messaging, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Message Queue Configuration

> Message Queue cannot be configured by the Java Enterprise System installer. To configure Message Queue, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Messaging Server Configuration

> Messaging Server cannot be configured by the Java Enterprise System installer. To configure Messaging Server, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Portal Server Configuration

> The installer needs the following information for Portal Server:

> - Web Container information
> - Deployment information

> ### Portal Server: Web Container Information

> Portal Server runs in one of four web containers. The information that the installer needs is different for each web container. The following table lists the four web containers and the tables that describe the information required for each web container.

> Table 3-30 Web Container Information for Portal Server

> Web Container | See...
> --- | ---
> Web Server | Web Container Information: Portal Server with Web Server
> Application Server | Web Container Information: Portal Server with Application Server
> BEA WebLogic | Web Container Information: Portal Server with BEA WebLogic
> IBM WebSphere | Web Container Information: Portal Server with IBM WebSphere

> #### Web Container Information: Portal Server with Web Server

> Table 3-31 describes the information that the installer needs when Web Server is the web container for Portal Server.

> Table 3-31 Web Container Information for Portal Server with Web Server

> Label and State File Parameter | Description
> --- | ---
> Installation Directory PS_DEPLOY_DIR | Directory in which the Web Server is installed. The default value is /opt/SUNWwbsvr
> Server Instance PS_DEPLOY_INSTANCE | Web Server instance you want the Portal Server to use.
> Server Instance Port PS_DEPLOY_PORT | Port on which Web Server listens for HTTP connections. The default value is 80. If you are installing Web Server in this installer session, the default value is the Web Server HTTP Port (WS_INSTANCE_PORT) value. Refer to Table 3-59.
> Server Document Root PS_DEPLOY_DOCROOT | Directory where static pages are kept. The default value is /opt/SUNWwbsvr/docs
> Secure Server Instance Port PS_DEPLOY_PROTOCOL | Specify whether the port for the Web Server instance is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.

> #### Web Container Information: Portal Server with Application Server

> Table 3-32 describes the information that the installer needs when Application Server is the web container for Portal Server.

> Table 3-32 Web Container Information for Portal Server with Application Server

> Label and State File Parameter | Description
> --- | ---
> Installation Directory PS_DEPLOY_DIR | Directory in which Application Server is installed. The default value is /opt/SUNWappserver7.
> Domain Directory PS_DEPLOY_DOMAIN | Path to the Application Server directory for the domain to which you want to deploy this Portal Server instance. The default value is /var/opt/SUNWappserver7/domains/domain1
> Server Instance PS_DEPLOY_INSTANCE | Name of the Application Server instance to which the Portal Server will be deployed. This name is also the name of the Application Server instance directory. The default value is server1.
> Server Instance Port PS_DEPLOY_PORT | Port on which Application Server listens for connections to the instance. The default value is 80.
> Document Root Directory PS_DEPLOY_DOCROOT | Name of the directory where static pages are kept. The default value is /var/opt/SUNWappserver7/domains/domain1/server1/docroot.
> Administration Port PS_DEPLOY_ADMIN_PORT | Port on which the Application Server administration instance is running, for the domain in which Portal Server is being installed. The default value is 4848.
> Administrator User ID PS_DEPLOY_ADMIN | User ID that Portal Server uses to access the Application Server as administrator. The default value is admin.
> Administrator User Password PS_DEPLOY_ADMIN_PASSWORD | Password that the Portal Server uses to access the Application Server as administrator.
> Secure Server Instance Port PS_DEPLOY_PROTOCOL | Specify whether the value for Server Instance Port refers to a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.
> Secure Administration Server Port PS_DEPLOY_ADMIN_PROTOCOL | Specify whether the value for Administration Port is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.

> #### Web Container Information: Portal Server with BEA WebLogic

> Table 3-33 describes the information that the installer needs when BEA WebLogic is the web container for Portal Server.

> Table 3-33 Web Container Information for Portal Server with BEA WebLogic

> Label and State File Parameter | Description
> --- | ---
> Home Directory PS_DEPLOY_DIR | Path to the BEA WebLogic home directory. The default value is /usr/local/bea.
> Product Installation Directory PS_DEPLOY_PRODUCT_DIR | Path to the directory where BEA WebLogic is installed. The default is /usr/local/bea/weblogic81.
> User Project’s Directory PS_DEPLOY_PROJECT_DIR | Path to the directory where BEA WebLogic stores user projects. The default is user_projects.
> Product JDK Directory PS_DEPLOY_JDK_DIR | Path to the directory where the copy of JDK that BEA WebLogic uses is installed. The default is /usr/local/bea/jdk141_05.
> Server / Cluster Domain PS_DEPLOY_DOMAIN | Name of the BEA WebLogic domain in which BEA WebLogic is deployed. The default is mydomain.
> Server / Cluster Instance PS_DEPLOY_INSTANCE | Name of the BEA WebLogic instance that will run Identity Server. The default is myserver.
> Server / Cluster Port PS_DEPLOY_PORT | Port on which BEA WebLogic listens for administrative connections. The default is 7001.
> Server / Cluster Protocol PS_DEPLOY_PROTOCOL | Specify whether the value for Server / Cluster Port is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. The default is http.
> Document Root Directory PS_DEPLOY_DOCROOT | Path to the directory where BEA WebLogic stores content documents.
> Administrator User ID PS_DEPLOY_ADMIN | User name of the BEA WebLogic administrator (system user). The default is weblogic.
> Administrator Password PS_DEPLOY_ADMIN_PASSWORD | Password of the BEA WebLogic administrator (system user).
> Managed Server PS_DEPLOY_NOW | Enables you to indicate that the BEA WebLogic Server is a managed server. If the BEA WebLogic Server is a managed server, the Portal Server web applications should not be deployed to the specified WebLogic Server Instance. In a state file, specify n for a managed server or y for a non-managed server. The default value is y.

> #### Web Container Information: Portal Server with IBM WebSphere

> Table 3-34 describes the information that the installer needs when IBM WebSphere is the web container for Portal Server.

> Table 3-34 Web Container Information for Portal Server with IBM WebSphere

> Label and State File Parameter | Description
> --- | ---
> Installation Directory PS_DEPLOY_DIR | Path to the directory where IBM WebSphere is installed. The default value is /opt/WebSphere/AppServer.
> Virtual Host PS_DEPLOY_VIRTUAL_HOST | Name of the virtual host alias for the IBM WebSphere instance. The default value is default_host.
> Cell PS_DEPLOY_CELL | Name of the IBM WebSphere Cell. The default value is the value that you provided for Host Name (CMN_HOST_NAME) in Common Server Settings. Refer to Table 3-2.
> Node PS_DEPLOY_NODE | Name of the IBM WebSphere Node. The default value is the value that you provided for Host Name (CMN_HOST_NAME) in Common Server Settings. Refer to Table 3-2.
> Server Instance PS_DEPLOY_INSTANCE | Name of the IBM WebSphere instance. The default value is server1.
> Server Instance Port PS_DEPLOY_PORT | Port on which the IBM WebSphere application instance listens for HTTP connections. Typically, these are configured to come from a front-end web server. The default value is 9080.
> Document Root Directory PS_DEPLOY_DOCROOT | Directory where IBM WebSphere stores content documents. The default value is /opt/IBMHttpServer/htdocs. If you are using a language other than English, change the final part of the pathname.
> Java Home Directory PS_DEPLOY_JDK_DIR | Path to the directory where the copy of Java that IBM WebSphere uses is installed. The default is /opt/WebShpere/AppSErver/java.
> Secure server instance PS_DEPLOY_PROTOCOL | Specify whether the Server Instance Port is a secure port. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is http.

> ### Portal Server: Web Container Deployment

> Table 3-35 describes web container deployment information that the installer needs for Portal Server.

> Table 3-35 Portal Information for Portal Server, All Scenarios

> Label and State File Parameter | Description
> --- | ---
> Load Balancer Protocol | Specifies whether the load balancer uses HTTP or HTTPS protocol. This option is enabled only if you specify the “Load Balancer controlling multiple Portal Servers” option.
> Load Balancer Host | The fully qualified name of the load balancer host. This option is enabled only if you specify the “Load Balancer controlling multiple Portal Servers” option.
> Load Balancer Port | The port on which the load balancer listens for connections. This option is enabled only if you specify the “Load Balancer controlling multiple Portal Servers” option.
> Deployment URI PS_DEPLOY_URI | Uniform Resource Identifier (URI) for accessing space on the web container that Portal Server uses. The value must have a leading slash and must contain only one slash. The default value is /portal.
> Load Balancer controlling multiple Portal Servers | Specify whether the Portal Server you are installing is accessed through a load balancer that is controlling multiple Portal Servers.
> Deploy Sample Portal PS_SAMPLE_PORTAL | Specify whether to deploy a sample portal. In a state file, the value can be y or n. The default value is y.

> ##

> Portal Server, Secure Remote Access Configuration

> The Java Enterprise System installer supports the installation of the following subcomponents of Portal Server, Secure Remote Access:

> - Secure Remote Access Core
> - Gateway
> - Netlet Proxy
> - Rewriter Proxy

> This section first describes installation of Secure Remote Access Core, and then describes installation of Gateway, Netlet Proxy, and Rewriter Proxy.

> ### Secure Remote Access Core Configuration

> Table 3-36 lists the types of information that the installer needs when installing Portal Server, Secure Remote Access Core. The information that you must supply differs according to which of the following scenarios applies:

> - Single-session installation. You are installing Portal Server and Portal Server, Secure Remote Access together.
> - Multiple Session installation. You install Portal Server in one session, and then install Portal Server, Secure Remote Access in a later session.

> In the following table, each entry in the “The Installer Needs...” column matches a page title in the installer’s graphical mode. Entries appear in that column in the same order in which the installer displays the associated pages.

> Table 3-36 Information Needed for Installation of Portal Server, Secure Remote Access Core

> When Portal Server... | The Installer Needs... | Refer to...
> --- | --- | ---
> Is being installed in this session | Gateway information | Single-Session Installation
> Is already installed and using Sun Java System Web Server or IBM WebSphere | Web Container Deployment information Gateway information Identity Server information | Multiple Session Installation with Sun Java System Web Server or IBM WebSphere
> Is already installed and using Sun Java System Application Server | Web Container Deployment information Identity Server information Gateway information Sun Java System Application Server information | Multiple Session Installation with Sun Java System Application Server or BEA WebLogic
> Is already installed and using BEA WebLogic | Web Container Deployment information Gateway information Identity Server information BEA WebLogic information | Multiple Session Installation with Sun Java System Application Server or BEA WebLogic

> #### Single-Session Installation

> When you install Portal Server, Secure Remote Access Core and Portal Server in a single session, you provide information about Portal Server, Secure Remote Access Gateway. The installer obtains other Portal Server, Secure Remote Access configuration information from the Portal Server configuration.

> Table 3-37 describes the gateway information that the installer needs when you are installing Portal Server, Secure Remote Access Core.

> Table 3-37 Gateway Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> Gateway Protocol SRA_GATEWAY_PROTOCOL | Protocol that the gateway uses to communicate with Portal Server. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In a state file, specify https for a secure port or http for a non-secure port. The default value is https.
> Portal Server Domain SRA_SERVER_DOMAIN | Domain name of the Portal Server. For example, if the fully qualified domain name is siroe.subdomain1.example.com, enter subdomain.example.com.
> Gateway Domain SRA_GATEWAY_DOMAIN | Domain name for the gateway component. For example, if the fully qualified domain name of the Portal Server host is siroe.subdomain1.example.com, enter subdomain.example.com.
> Gateway Port SRA_GATEWAY_PORT | Port on which the gateway machine listens. The default value is 443.
> Gateway Profile Name SRA_GATEWAY_PROFILE | Profile that contains gateway configuration information, such as listener port, SSL options, and proxy options. The default value is default.
> Log User Password SRA_LOG_USER_PASSWORD | Password that allows administrators with non-root access to access gateway log files.

> #### Multiple Session Installation with Sun Java System Web Server or IBM WebSphere

> This section lists the information you must provide when you install Portal Server, Secure Remote Access on a machine where the following is true:

> - Portal Server is already installed
> - Portal Server is deployed into a Sun Java System Web Server or IBM WebSphere web container

> In this scenario, you must provide the following types of information:

> - Web Container Deployment information
> - Gateway information
> - Identity Server information

> The following table lists the information that you specify about the web container.

> Table 3-38 Web Container Deployment Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.

> The following table lists the information that you specify about Identity Server.

> Table 3-39 Identity Server Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> LDAP Password SRA_IS_LDAP_AUTH_PASSWORD | Password to access Identity Server as the LDAP user.
> Administrator Password PS_DEPLOY_ADMIN_PASSWORD | Password to access Identity Server as the administrator.

> #### Multiple Session Installation with Sun Java System Application Server or BEA WebLogic

> This section lists the information you must provide when you install Portal Server, Secure Remote Access on a machine where the following is true:

> - Portal Server is already installed
> - Portal Server is deployed into a Sun Java System Application Server web container or a BEA WebLogic web container

> In this scenario, you must provide the following types of information:

> - Web Container Deployment information
> - Identity Server information
> - Sun Java System Application Server Information or BEA WebLogic Information

> The following table lists the information that you specify about the web container.

> Table 3-40 Web Container Deployment Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.

> The following table lists the information that you specify about Identity Server.

> Table 3-41 Identity Server Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> LDAP Password SRA_IS_LDAP_AUTH_PASSWORD | Password to access Identity Server as the LDAP user.
> Administrator Password PS_DEPLOY_ADMIN_PASSWORD | Password to access Identity Server as the administrator.

> The following table lists the information that you specify about Sun Java System Application Server or BEA WebLogic Server

> Table 3-42 Sun Java System Application Server or BEA WebLogic Server Information for Portal Server, Secure Remote Access Core

> Label and State File Parameter | Description
> --- | ---
> Administrator User Password PS_DEPLOY_ADMIN_PASSWORD | Password that Portal Server uses to access Application Server or BEA WebLogic as administrator.

> ### Gateway Configuration

> This section lists the information you must provide when you install the Gateway subcomponent. In this scenario, you must provide the following types of information:

> - Web Container Deployment information
> - Identity Server information
> - Gateway information
> - Certificate information

> #### Web Container Deployment Information

> The following table lists the information that you specify about the web container.

> Table 3-43 Web Container Deployment Information for Portal Server, Secure Remote Access Gateway

> Label and State File Parameter | Description
> --- | ---
> Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.

> #### Identity Server Information

> The following table lists the information that you must specify about Identity Server.

> Table 3-44 Identity Server Information for Portal Server, Secure Remote Access Gateway

> Label and State File Parameter | Description
> --- | ---
> Installation Directory SRA_IS_INSTALLDIR | Directory in which the Identity Server product is installed. The default value is /opt.

> #### Gateway Information

> Table 3-45 describes the gateway information that the installer needs when you are installing the Gateway subcomponent.

> Table 3-45 Gateway Information for Portal Server, Secure Remote Access Gateway

> Label and State File Parameter | Description
> --- | ---
> Protocol SRA_GW_PROTOCOL | Protocol (HTTP or HTTPS) the gateway uses to communicate. A secure port uses the HTTPS protocol. A non-secure port uses HTTP. In most cases the gateway should use HTTPS. In a state file, specify https for a secure port or http for a non-secure port. The default value is https.
> Host Name SRA_GW_HOSTNAME | Name of the gateway machine. For example, if the fully qualified domain name is siroe.subdomain1.example.com, enter siroe. The default value is the name of the local machine.
> Subdomain SRA_GW_SUBDOMAIN | Subdomain name of the gateway machine. There is no default value.
> Domain SRA_GW_DOMAIN | Domain name of the gateway machine. For example, if the fully qualified domain name is siroe.example.com, this value is example.com. The default value is the domain of the local machine.
> IP Address SRA_GW_IPADDRESS | IP address of the gateway machine. The default value is the IP address of the local machine.
> Access Port SRA_GW_PORT | Port on which the gateway listens. The default value is 443.
> Gateway Profile Name SRA_GW_PROFILE | Profile that contains gateway configuration information, such as listener port, SSL options, and proxy options. The default value is default.
> Log User Password SRA_LOG_USER_PASSWORD | Password that allows administrators with non-root access to access gateway log files.
> Start gateway after installation SRA_GW_START | Directs the installer to automatically start Gateway after installation. In a state file, the permitted values are y or n. The default value is y.

> #### Certificate Information

> When you are installing Gateway, Netlet Proxy, or Rewriter Proxy, you can provide information to create a self-signed certificate for use with Portal Server, Secure Remote Access. The installer needs the following information to configure a certificate.

> Note | Do not use multibyte characters when providing certificate information.

> Table 3-46 Certificate Information for Portal Server, Secure Remote Access Gateway

> Label and State File Parameter | Description
> --- | ---
> Organization SRA_CERT_ORGANIZATION | Name of your organization or company.
> Division SRA_CERT_DIVISION | Name of your division.
> City/Locality SRA_CERT_CITY | Name of your city or locality.
> State/Province SRA_CERT_STATE | Name of your state or province.
> Country Code SRA_CERT_COUNTRY | Two-letter country code.
> Certificate Database Password SRA_CERT_PASSWORD | Password (and confirmation) that applies only to self-signed certificates.

> ### Netlet Proxy Configuration

> This section lists the information you must provide when you install the Gateway subcomponent. In this scenario, you must provide the following types of information:

> - Web Container Deployment information
> - Identity Server information
> - Netlet Proxy information
> - Proxy information
> - Certificate information

> The following sections provide details on the information you must provide.

> #### Web Container Deployment Information

> The following table lists the information that you specify about the web container.

> Table 3-47 Web Container Deployment Information for Portal Server, Secure Remote Access Netlet Proxy

> Label and State File Parameter | Description
> --- | ---
> Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.

> #### Identity Server Information

> The following table lists the information that you must specify about Identity Server.

> Table 3-48 Identity Server Information for Portal Server, Secure Remote Access Netlet Proxy

> Label and State File Parameter | Description
> --- | ---
> Installation Directory SRA_IS_INSTALLDIR | Directory in which the Identity Server product is installed. The default value is /opt.

> #### Netlet Proxy Information

> Table 3-49 describes the Netlet Proxy information that the installer needs when you are installing Netlet Proxy.

> Table 3-49 Netlet Proxy Information for Portal Server, Secure Remote Access Netlet Proxy

> Label and State File Parameter | Description
> --- | ---
> Host Name SRA_NLP_HOSTNAME | Host name of the Netlet Proxy machine. The default value is the host name of the local machine.
> Subdomain SRA_NLP_SUBDOMAIN | Subdomain name of the Netlet Proxy machine. There is no default value.
> Domain SRA_NLP_DOMAIN | Domain name of the Netlet Proxy machine. The default value is the domain of the local machine.
> IP Address SRA_NLP_IPADDRESS | IP address of the Netlet Proxy machine. The default value is the IP address of the local machine.
> Access Port SRA_NLP_PORT | Port on which the Netlet Proxy listens. The default value is 10555.
> Gateway Profile Name SRA_NLP_GATEWAY_PROFILE | Profile that contains gateway configuration information, such as listener port, SSL options, and proxy options. The default value is default.
> Log User Password SRA_NLP_USER_PASSWORD | Password that allows administrators with non-root access to access log files.
> Start Netlet Proxy after installation SRA_NLP_START | Directs the installer to automatically start Netlet Proxy after installation. In a state file, the value can be y or n. The default value is y.

> #### Proxy Information

> The following table describes information that you must enter if you are installing the proxy subcomponents on a machine on which there is an existing installation of Portal Server, Secure Remote Access.

> Table 3-50 Proxy Information for Portal Server, Secure Remote Access Netlet Proxy

> Label and State File Parameter | Description
> --- | ---
> Work with Portal Server on another host? SRA_IS_CREATE_INSTANCE | Select this option (or answer y in CLI mode) only if you are installing the Netlet and Rewriter proxies on this host and these proxies are interacting with a remote instance of Portal Server SRA. Deselect this option (or answer n in CLI mode) if the Netlet and Rewriter proxies are interacting with a local instance of Portal Server SRA. In a state file, the permitted values are y or n. The meanings of these values in a state file is as follows: y specifies that the proxies work with a local instance of Portal Server SRA n specifies that the proxies work with a remote instance of Portal Server SRA The remaining fields in this table apply only if you select this option to indicate that these proxies will work with a remote instance of Portal Server SRA.
> Protocol SRA_SERVER_PROTOCOL | Protocol (HTTP or HTTPS) that the gateway will use to communicate with Portal Server. In a state file, specify https or http. The default value is https.
> Portal Host Name SRA_SERVER_HOST | Fully qualified domain name of the host on which you are installing Portal Server.
> Portal Server Port SRA_SERVER_PORT | Port used to access Portal Server. The default value is 80.
> Portal Server Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.
> Organization DN SRA_IS_ORG_DN | The distinguished name (DN) of the root suffix for the domain in which Portal Server is being installed. The default value is .com. You must edit this default value.
> Identity Server Service URI SRA_IS_SERVICE_URI | Uniform Resource Identifier used to invoke Identity Server services. The default value is /amserver.
> Identity Server Password Encryption Key SRA_IS_PASSWORD_KEY | A string that Identity Server uses to encrypt user passwords. Portal Server SRA must use the encryption key that Identity Server used at installation, so the installer automatically sets the default value to that key. In the interactive installer, do not edit the displayed default value. You can find the Identity Server encryption key in the Identity Server properties file, /IS_svr_base/SUNWam/lib/AMConfig.properties, where the default value for IS_svr_base is /opt. The property that contains this value is am.encryption.pwd.

> #### Certificate Information

> When you are installing Gateway, Netlet Proxy, or Rewriter Proxy, you can provide information to create a self-signed certificate for use with Portal Server, Secure Remote Access. The installer needs the following information to configure a certificate.

> Note | Do not use multibyte characters when providing certificate information.

> Table 3-51 Certificate Information for Portal Server, Secure Remote Access Netlet Proxy

> Label and State File Parameter | Description
> --- | ---
> Organization SRA_CERT_ORGANIZATION | Name of your organization or company.
> Division SRA_CERT_DIVISION | Name of your division.
> City/Locality SRA_CERT_CITY | Name of your city or locality.
> State/Province SRA_CERT_STATE | Name of your state or province.
> Country Code SRA_CERT_COUNTRY | Two-letter country code.
> Certificate Database Password SRA_CERT_PASSWORD | Password (and confirmation) that applies only to self-signed certificates.

> ### Rewriter Proxy Configuration

> This section lists the information you must provide when you install the Rewriter Proxy subcomponent. In this scenario, you must provide the following types of information:

> - Web Container Deployment information
> - Identity Server information
> - Rewriter Proxy information
> - Proxy information
> - Certificate information

> The following sections provide details on the information you must provide.

> #### Web Container Deployment Information

> The following table lists the information that you specify about the web container.

> Table 3-52 Web Container Deployment Information for Portal Server, Secure Remote Access Rewriter Proxy

> Label and State File Parameter | Description
> --- | ---
> Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.

> #### Identity Server Information

> The following table lists the information that you must specify about Identity Server. The installer needs this information for Gateway, Netlet Proxy, and Rewriter Proxy.

> Table 3-53 Identity Server Information for Portal Server, Secure Remote Access Rewriter Proxy

> Label and State File Parameter | Description
> --- | ---
> Installation Directory SRA_IS_INSTALLDIR | Directory in which the Identity Server product is installed. The default value is /opt.

> #### Rewriter Proxy Information

> Table 3-54 describes the Rewriter Proxy information that the installer needs when you are installing Rewriter Proxy.

> Table 3-54 Rewriter Proxy Information for Portal Server, Secure Remote Access Rewriter Proxy

> Label and State File Parameter | Description
> --- | ---
> Host Name SRA_RWP_HOSTNAME | Host name of the machine on which you are installing the Rewriter Proxy. The default value is the host name of the local machine.
> Subdomain SRA_RWP_SUBDOMAIN | Subdomain name of the machine on which the Rewriter Proxy is being installed. There is no default value.
> Domain SRA_RWP_DOMAIN | Domain name of the machine on which the Rewriter Proxy is being installed. The default value is the domain name of the local machine.
> IP Address SRA_RWP_IPADDRESS | IP address of the machine on which you are installing Rewriter Proxy. The default value is the IP address of the local host.
> Access Port SRA_RWP_PORT | Port on which the Rewriter proxy listens. The default value is 10443.
> Gateway Profile Name SRA_RWP_GATEWAY_PROFILE | Profile that contains gateway configuration information, such as listener port, SSL options, and proxy options. The default value is default.
> Log User Password SRA_LOG_USER_PASSWORD | Password that allows administrators with non-root access to access log files.
> Start Rewriter Proxy after installation SRA_RWP_START | Directs the installer to automatically start Rewriter Proxy after installation. In a state file, the value can be y or n. The default value is y.

> #### Proxy Information

> The following table describes information that you must enter if you are installing the proxy subcomponents on a machine on which there is an existing installation of Portal Server, Secure Remote Access.

> Table 3-55 Proxy Information for Portal Server, Secure Remote Access Rewriter Proxy

> Label and State File Parameter | Description
> --- | ---
> Work with Portal Server on another host? SRA_IS_CREATE_INSTANCE | Select this option (or answer y in CLI mode) only if you are installing the Netlet and Rewriter proxies on this host and these proxies are interacting with a remote instance of Portal Server SRA. Deselect this option (or answer n in CLI mode) if the Netlet and Rewriter proxies are interacting with a local instance of Portal Server SRA. In a state file, the permitted values are y or n. The meanings of these values in a state file is as follows: y specifies that the proxies work with a local instance of Portal Server SRA n specifies that the proxies work with a remote instance of Portal Server SRA The remaining fields in this table apply only if you select this option to indicate that these proxies will work with a remote instance of Portal Server SRA.
> Protocol SRA_SERVER_PROTOCOL | Protocol (HTTP or HTTPS) that the gateway will use to communicate with Portal Server. In a state file, specify https or http. The default value is https.
> Portal Host Name SRA_SERVER_HOST | Fully qualified domain name of the host on which you are installing Portal Server.
> Portal Server Port SRA_SERVER_PORT | Port used to access Portal Server. The default value is 80.
> Portal Server Deployment URI SRA_DEPLOY_URI | Uniform Resource Identifier (URI) that you use to deploy Portal Server. The value for the deployment URI must have a leading slash and must contain only one slash. The default value is /portal.
> Organization DN SRA_IS_ORG_DN | The distinguished name (DN) of the root suffix for the domain in which Portal Server is being installed. The default value is .com. You must edit this default value.
> Identity Server Service URI SRA_IS_SERVICE_URI | Uniform Resource Identifier used to invoke Identity Server services. The default value is /amserver.
> Identity Server Password Encryption Key SRA_IS_PASSWORD_KEY | A string that Identity Server uses to encrypt user passwords. Portal Server SRA must use the encryption key that Identity Server used at installation, so the installer automatically sets the default value to that key. In the interactive installer, do not edit the displayed default value. You can find the Identity Server encryption key in the Identity Server properties file, /IS_svr_base/SUNWam/lib/AMConfig.properties, where the default value for IS_svr_base is /opt. The property that contains this value is am.encryption.pwd.

> #### Certificate Information

> When you are installing Gateway, Netlet Proxy, or Rewriter Proxy, you can provide information to create a self-signed certificate for use with Portal Server, Secure Remote Access. The installer needs the following information to configure a certificate.

> Note | Do not use multibyte characters when providing certificate information.

> Table 3-56 Certificate Information for Portal Server, Secure Remote Access Rewriter Proxy

> Label and State File Parameter | Description
> --- | ---
> Organization SRA_CERT_ORGANIZATION | Name of your organization or company.
> Division SRA_CERT_DIVISION | Name of your division.
> City/Locality SRA_CERT_CITY | Name of your city or locality.
> State/Province SRA_CERT_STATE | Name of your state or province.
> Country Code SRA_CERT_COUNTRY | Two-letter country code.
> Certificate Database Password SRA_CERT_PASSWORD | Password (and confirmation) that applies only to self-signed certificates.

> ##

> Sun Cluster Software and Sun Cluster Agents for Sun Java System Configuration

> Sun Cluster software cannot be configured by the Java Enterprise System installer. You must configure Sun Cluster software and Sun Cluster Agents for Sun Java System after installation.

> Although you cannot configure Sun Cluster software during installation, you can direct the installer to enable remote configuration support for Sun Cluster software so that you can more easily configure the software after installation. Table 3-57 describes this option.

> Table 3-57 Remote Configuration Support for Sun Cluster

> Label and State File Parameter | Description
> --- | ---
> Enable remote configuration support for Sun Cluster? | Specifies whether the installer enables remote configuration support for Sun Cluster. The default value is Yes.

> For information on configuring Sun Cluster software and Sun Cluster Agents for Sun Java System, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Sun Remote Services Net Connect Configuration

> Sun Remote Services Net Connect cannot be configured by the Java Enterprise System installer. To configure Sun Remote Services Net Connect, refer to Chapter 7, "Postinstallation Configuration and Startup."

> ##

> Web Server Configuration

> The installer needs the following information for Web Server:

> - Administration information
> - Default Web Server instance information

> ### Web Server: Administration Information

> Table 3-58 Administration Information for Web Server

> Label and State File Parameter | Description
> --- | ---
> Administrator User ID WS_ADMIN_USER | User ID of the Web Server administrator. The default value is the Administrator User ID you provided under Common Server Settings. Refer to Table 3-2.
> Administrator Password WS_ADMIN_PASSWORD | Password for the Web Server administrator. The default value is the Administrator Password you provided under Common Server Settings. Refer to Table 3-2.
> Web Server Host WS_ADMIN_HOST | A host and domain value that resolves to the local host. This value is used to create a directory under server root for the first Web Server instance. The default value is automatically created by joining the values that you provided for Host Name and DNS Domain Name under Common Server Settings. The value has the format host-name.domain-name. Refer to Table 3-2.
> Administration Port WS_ADMIN_PORT | Port on which Web Server’s Administration Server listens for connections. The default value is 8888.
> Administration Runtime User ID WS_ADMIN_SYSTEM_USER | User ID under which Web Server Administration Server runs. The default value is root.

> ### Web Server: Default Web Server Instance Information

> Table 3-59 Default Web Server Instance Information for Web Server

> Label and State File Parameter | Description
> --- | ---
> Runtime User ID WS_INSTANCE_USER | User ID that the default instance of Web Server uses to run on the system. If you are installing Identity Server or Portal Server, set this value to root and set the Runtime Group to other. You can change these values after installation. For other servers, the Runtime User ID should be a non-root user. The default value is webservd.
> Runtime Group WS_INSTANCE_GROUP | Group ID in which the default instance of Web Server runs. The default value is webservd.
> HTTP Port WS_INSTANCE_PORT | Port on which Web Server listens for HTTP connections. The default value is 80.
> Document Root Directory WS_INSTANCE_CONTENT_ROOT | Location where Web Server stores content documents. To use a non-default value, ensure that the directory that you specify is already present in the file system. The installer does not create the directory for you. The default value is /opt/SUNWwbsvr/docs.
> Automatically start Web Server when system restarts WS_INSTANCE_AUTO_START | Configures Web Server so that it starts automatically when the system restarts. If you deploy Identity Server on Web Server, this value is ignored, because the Identity Server startup scripts will start Web Server at system restart. In a state file, the permitted values are Y or N. The default value is Y.

> ##

> Parameters Used Only in State Files

> The following table contains information on state file parameters that are not associated with component product configuration. Parameter names are listed alphabetically.

> Table 3-60 State File Parameters

> Parameter Name | Description
> --- | ---
> CCCP_UPGRADE_EXTERNAL_ INCOMPATIBLE_JDK | Specifies whether to upgrade the JDK if it is found on the system and is incompatible with the JDK distributed by Java Enterprise System. The value can be yes or no. The parameter is case sensitive. The default value is no.
> CONFIG_TYPE | Defines the configuration type. Permitted values are Custom (meaning configure during installation) and Skip (meaning configure after installation). The default value is Custom. Do not set this value in the state file. Specify this value only when you are running the installer to generate a state file. Configuration type affects the installer processing logic in many ways, and errors could result if you change the value after the state file is generated.
> DeploymentServer | Specifies the web container type for Identity Server. Permitted values are WebServer and AppServer. The default value is AppServer (Application Server).
> LANGUAGE_SUPPORT | Specifies which languages to install. The following list shows the permitted values, with explanations of each abbreviation: en (English) es (Spanish) ja (Japanese) fr (French) de (German) ko (Korean) zh_TW (Traditional Chinese) zh_CN (Simplified Chinese) English is installed in all cases, even if the parameter value is blank. To select multiple languages, insert a comma between two language abbreviations. For example, you could specify en,es,ja,fr.
> LICENSE_TYPE | The permitted values are Evaluation and Deployment, but this field is not used.
> PSP_EXIT_ON_DEPENDENCY_WARNING | Instructs the installer to exit if it determines that dependencies of the selected components are not met. Warnings generally identify dependencies that could be met with remote components that can be specified during configuration. Specify Yes to exit the installation on a dependency warning or specify No to proceed despite the warning. The default value is No. This parameter is not case sensitive.
> PSP_LOG_CURRENTLY_INSTALLED | Causes the installer to write a list of currently installed products to the log file. This option is the equivalent of the View Currently Installed button on the Product Selection page of the graphical installer. Permitted values are Yes and No. The default value is Yes. This parameter is not case sensitive.
> PSP_SELECTED_COMPONENTS | A comma separated list of components and subcomponents you want to install.The value can be All or a list of components, whose descriptors are listed in Table 3-61. The default value is All.

> In a state file, the value for the PSP_SELECTED_COMPONENTS parameter is a comma-separated list of components that you choose from the Component Selection page.

> To understand this list, see the names listed in the following table. The left column of the table provides the component product name. Do not enter this value in the state file; it is here as a key to the values in the other two columns. The next column contains a string that identifies the component. If the component has selectable subcomponents, the third column lists their names.

> Table 3-61 Component Names for the State File

> Component | Top-Level Name | Selectable Subcomponent
> --- | --- | ---
> Administration Console and Server | AdminConsole, AdminServ |
> Application Server | appserv 1 | ASAdminClient ASCore ASStudioSupport PointBase Server 4.2 ASSE ASPE
> Calendar Server | CalendarServ |
> Directory Proxy Server | DirectoryProxyServ |
> Directory Server | DirectoryServ32 |
> Identity Server | IdentityServ | SunONEIdentityServerManagementandPolicyServices ISAdministrationConsole ISCommonDomainDeployment IdentityServerSDKAlone
> Instant Messaging | InstantMessagingServ | InstantMessagingConfig InstantMessagingServer InstantMessengerResources IdentityServerInstantMessagingService
> Message Queue | SunONEMessageQueue | MQPE MQEE
> Messaging Server | MessagingServ |
> Portal Server | PortalServer |
> Portal Server, Secure Remote Access | PortalSRA | SRACore SRAGateway SRANetletProxy SRARewriterProxy
> Sun Cluster | SunCluster | SCCore
> Sun Cluster Agents | SCAgents | SCAdminServer, SCDirSrver, SCAppServer, SCCalServer, SCMsgServer, SCMQ, SCHADB
> Web Server | SunONEWebServer |

> 1By default, installs Standard Edition (SE). For Platform Edition, specify ASPE.

> To install a component that has subcomponents, specify both the component top-level name and the names of all subcomponents. To install only selected subcomponents, include the top-level name and the names of those subcomponents.

> Previous Contents Index Next

> Copyright 2004 Sun Microsystems, Inc. All rights reserved.